gfqext.h File Reference

Arithmetic on GF(p^k), with p a prime number less than 2^15. More...

`#include "givaro/gfq.h"`
`#include "givaro/givpower.h"`
`#include <limits>`
`#include <deque>`
Include dependency graph for gfqext.h:

## Data Structures

class | GFqExtFast< TT >
| GFq Ext. More...
class | GFqExt< TT >
| GFq Ext (other). More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Arithmetic on GF(p^k), with p a prime number less than 2^15.

Specialized for fast conversions to floating point numbers. Main difference in interface is init/convert.

Bibliography
  - JG Dumas, Q-adic Transform Revisited, ISSAC 2008

Warning
  k strictly greater than 1